#!/usr/bin/perl -w
push @SPECHOOKS, sub {
    my ($spec, $parent, $pkgname) = @_;
    $pkgname||='%{name}';
    my $macrosname='%{name}';
    $macrosname='ggz' if $spec->macros->get_raw('name') eq 'ggz-base-libs';
    my $sec=$spec->get_section('package','-n rpm-macros-'.$macrosname);
    if ($sec) {
	print STDERR "Oops! fool protection activated: It looks like $pkgname already has rpm-macros-$macrosname\n";
	return;
    }
    $sec=$spec->add_section('package',"-n rpm-macros-$macrosname");
    my $main_section=$spec->get_section('package','');
    $sec->push_body(q!Summary: Set of RPM macros for packaging %name-based applications
Group: Development/Other
# uncomment if macroses are platform-neutral
#BuildArch: noarch
# it helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
Conflicts: !.$pkgname.' <= '.$main_section->get_tag('Version').'-'.$main_section->get_tag('Release').q!

%description -n rpm-macros-!.$macrosname.q!
Set of RPM macros for packaging %name-based applications for ALT Linux.
Install this package if you want to create RPM packages that use %name.
!);

    $sec=$spec->get_section('install');
    $sec->map_body(
	sub{
	    s,\%\{?_sysconfdir\}?/rpm/macros\.d,%_rpmmacrosdir,g;
	    s,/etc/rpm/macros\.d,%_rpmmacrosdir,g;
	});


    $spec->add_section('files',"-n rpm-macros-$macrosname")->push_body(q!%_rpmmacrosdir/*
!);
    $sec=$spec->get_section('package',"-n $pkgname");
    unless ($sec) {
	print STDERR "Oops! %package -n $pkgname not found!\n";
	return;
    }
    $sec->push_body('Requires: rpm-macros-'.$macrosname.' = %EVR'."\n");
    $sec=$spec->get_section('files',"-n $pkgname");
    unless ($sec) {
	print STDERR "Oops! %files -n $pkgname not found!\n";
	return;
    }
    $sec->map_body(
	sub{
	    s,^(\s*(?:\%config(?:\s*\(.+\))?)?\s*\%\{?_rpmmacrosdir\}?),#$1,;
	    s,^(?:\%config(?:\s*\(.+\))?)?\s*\%\{?_sysconfdir\}?/rpm/macros\.d,#%_rpmmacrosdir,;
	    s,^(?:\%config(?:\s*\(.+\))?)?\s*/etc/rpm/macros\.d,#%_rpmmacrosdir,;
	});
    $sec->push_body(q"%exclude %_rpmmacrosdir/*
");
};
1;
